---
# file: java/tasks/main.yml
#
# java role task file.
#

- name: add repo for java 8
  apt_repository: repo='ppa:webupd8team/java' state=present

- name: debian | set license as accepted
  debconf: name='oracle-java{{ oracle_java_version }}-installer' question='shared/accepted-oracle-license-v1-1' value='true' vtype='select'
  become: yes

- name: ensure java is installed
  apt:
    name="oracle-java{{ oracle_java_version }}-installer"
    state=present
    cache_valid_time=3600
    update_cache=yes
  become: true

- name: set Java version as default
  apt:
    name="oracle-java{{ oracle_java_version }}-set-default"
    state=latest
  become: true